Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:48 2009

## Asterisk developer's documentation

# queue_ent Struct Reference

Collaboration diagram for queue_ent:

[legend]

## Data Fields

char | announce [80]
struct ast_channel * | chan
char | context [AST_MAX_CONTEXT]
char | digits [AST_MAX_EXTENSION]
time_t | expire
int | handled
time_t | last_periodic_announce_time
time_t | last_pos
int | last_pos_said
char | moh [80]
struct queue_ent * | next
int | opos
struct call_queue * | parent
int | pos
int | prio
time_t | start

## Detailed Description

Definition at line 274 of file app_queue.c.

## Field Documentation

char announce[80]

Announcement to play for member when call is answered

Definition at line 277 of file app_queue.c.

Referenced by join_queue(), and try_calling().

struct ast_channel* chan`[read]`

Our channel

Definition at line 289 of file app_queue.c.

Referenced by __queues_show(), is_our_turn(), join_queue(), leave_queue(), manager_queues_status(), queue_exec(), ring_entry(), say_periodic_announcement(), say_position(), try_calling(), valid_exit(), wait_a_bit(), wait_for_answer(), and wait_our_turn().

char context[AST_MAX_CONTEXT]

Context when user exits queue

Definition at line 278 of file app_queue.c.

Referenced by join_queue(), and valid_exit().

char digits[AST_MAX_EXTENSION]

Digits entered while in queue

Definition at line 279 of file app_queue.c.

Referenced by queue_exec(), and valid_exit().

time_t expire

When this entry should expire (time out of queue)

Definition at line 288 of file app_queue.c.

Referenced by queue_exec(), try_calling(), and wait_our_turn().

int handled

Whether our call was handled

Definition at line 286 of file app_queue.c.

Referenced by queue_exec(), and try_calling().

time_t last_periodic_announce_time

The last time we played a periodic anouncement

Definition at line 283 of file app_queue.c.

Referenced by queue_exec(), and say_periodic_announcement().

time_t last_pos

Last time we told the user their position

Definition at line 284 of file app_queue.c.

Referenced by queue_exec(), and say_position().

int last_pos_said

Last position we told the user

Definition at line 282 of file app_queue.c.

Referenced by queue_exec(), and say_position().

char moh[80]

Name of musiconhold to be used

Definition at line 276 of file app_queue.c.

Referenced by join_queue(), queue_exec(), say_periodic_announcement(), and say_position().

struct queue_ent* next`[read]`

The next queue entry

Definition at line 290 of file app_queue.c.

Referenced by __queues_show(), insert_entry(), join_queue(), leave_queue(), and manager_queues_status().

int opos

Where we started in the queue

Definition at line 285 of file app_queue.c.

Referenced by queue_exec(), try_calling(), and wait_our_turn().

struct call_queue* parent`[read]`

What queue is our parent

Definition at line 275 of file app_queue.c.

Referenced by insert_entry(), is_our_turn(), leave_queue(), queue_exec(), recalc_holdtime(), record_abandoned(), ring_entry(), ring_one(), say_periodic_announcement(), say_position(), store_next(), try_calling(), wait_a_bit(), wait_for_answer(), and wait_our_turn().

int pos

Where we are in the queue

Definition at line 280 of file app_queue.c.

Referenced by join_queue(), leave_queue(), queue_exec(), say_position(), try_calling(), and wait_our_turn().

int prio

Our priority

Definition at line 281 of file app_queue.c.

Referenced by __queues_show(), join_queue(), and queue_exec().

time_t start

When we started holding

Definition at line 287 of file app_queue.c.

Referenced by __queues_show(), manager_queues_status(), queue_exec(), say_position(), try_calling(), and wait_our_turn().

The documentation for this struct was generated from the following file:

- app_queue.c